Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78816 - shell alias ll not defined inside screen
Summary: shell alias ll not defined inside screen
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-01 11:21 UTC by David Balažic
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-10 11:50:33 UTC


Attachments (Terms of Use)

Description David Balažic 2002-12-01 11:21:33 UTC
Description of Problem:

the alias 'll' is not defined in a shell running under 'screen'

Version-Release number of selected component (if applicable):

fileutils-4.1.9-11

How Reproducible:

always

Steps to Reproduce:
1. log in as root on VT1 ( console ) 
2. run screen 
3. type ll

Actual Results:

error is reported

Expected Results:

list of files is printed

Additional Information:
	
shell of root is bash ( default settings )
mostly everything else is system default too

Comment 1 David Balažic 2002-12-01 11:23:02 UTC
the alias is defined in /etc/profile.d/colorls.sh

Comment 2 Tim Waugh 2002-12-12 14:37:01 UTC
Fixed package is coreutils-4.5.3-8, which will shortly appear in rawhide.

Comment 3 David Balažic 2004-06-14 08:51:33 UTC
Bug reappeared in Fedora Core 2 (coreutils-5.2.1-7.i386.rpm)

Comment 4 Tim Waugh 2004-06-25 09:14:42 UTC
Fixed in CVS.


Note You need to log in before you can comment on or make changes to this bug.